%define url_ver      %(echo %{version}|cut -d. -f1,2)

%define major        1
%define slab_major   0
%define libname      %mklibname mate-window-settings %{major}
%define libslabname  %mklibname mate-slab %{slab_major}
%define develname    %mklibname -d mate-window-settings

%define appindicator 1
%{?_without_appindicator %global appindicator 0}
%{?_with_appindicator: %global appindicator 1}

Summary: MATE control center
Name:    mate-control-center
Version: 1.18.0
Release: %mkrel 1
License: GPLv2+
Group:   Graphical desktop/MATE
URL:     http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) display icons when control-center is not started from MATE (Mdk bug #16767)
Patch0:  gnome-control-center-2.27.90-menulocation.patch
# (fc) force default dpi to 96, don't use X server value
Patch1:  gnome-control-center-2.23.6-forcedpi.patch
# (fc) fix markup (GNOME bug #597006) (Fedora)
Patch2:  gnome-control-center-2.31.91-fix-markup.patch

BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  pkgconfig(unique-3.0)
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  itstool
#for xmllint
BuildRequires:  libxml2-utils
BuildRequires:	intltool
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(libmarco-private)
BuildRequires:  pkgconfig(libmate-menu)
BuildRequires:  pkgconfig(libmatekbd) >= 1.17.0
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(mate-desktop-2.0) >= 1.17.0
BuildRequires:  pkgconfig(mate-settings-daemon) >= 1.17.0
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xxf86misc)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(dconf) >= 0.13.4
BuildRequires:  pkgconfig(xi) >= 1.5
BuildRequires:  pkgconfig(libxklavier) >= 5.2
#BuildRequires:  menu-messages
%if %{appindicator}
BuildRequires:  pkgconfig(appindicator3-0.1) >= 0.0.13
%endif

Requires:   mate-settings-daemon >= 1.17.0
Requires:   gnome-keyring
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

%description
MATE Control-center is a configuration tool for easily
setting up your MATE environment.

%package -n %{libname}
Summary:    %{summary}
Group:      System/Libraries
Provides:   libmate-window-settings = %{version}-%{release}

%description -n %{libname}
Dynamic libraries used by MATE Control Center

%package -n %{libslabname}
Summary:    %{summary}
Group:      System/Libraries
Obsoletes:  %{_lib}slab0 < 1.16.0

%description -n %{libslabname}
Dynamic libraries used by MATE Control Center

%package -n %{develname}
Summary:    Static libraries, include files for MATE control center
Group:      Development/C
Provides:   %{name}-devel = %{version}-%{release}
Requires:   %{libname} = %{version}-%{release}
Requires:   %{libslabname} = %{version}-%{release}

%description -n %{develname}
Static libraries, include files for MATE Control Center

%prep
%autosetup -p1

%build
%configure2_5x \
           --with-x \
           %if %{appindicator}
           --enable-appindicator \
           %endif
           --disable-static          \
           --disable-schemas-compile \
           --disable-update-mimedb

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

mkdir -p %{buildroot}%{_datadir}/mate-background-properties

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/xdg/menus/matecc.menu
%{_bindir}/mate-control-center
%{_bindir}/mate-font-viewer
%{_bindir}/mate-thumbnail-font
%{_bindir}/mate-about-me
%{_bindir}/mate-window-properties
%{_bindir}/mate-network-properties
%{_bindir}/mate-mouse-properties
%{_bindir}/mate-keybinding-properties
%{_bindir}/mate-keyboard-properties
%{_bindir}/mate-display-properties
%{_bindir}/mate-default-applications-properties
%{_bindir}/mate-appearance-properties
%{_bindir}/mate-at-properties
%{_bindir}/mate-typing-monitor
%{_sbindir}/mate-display-properties-install-systemwide
%{_datadir}/polkit-1/actions/org.mate.randr.policy
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/mate-background-properties
%{_datadir}/applications/*.desktop
%{_datadir}/desktop-directories/*
%{_datadir}/mate-control-center/
%{_datadir}/glib-2.0/schemas/org.mate.control-center.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.control-center.keybinding.gschema.xml
%{_datadir}/mime/packages/mate-theme-package.xml
%{_datadir}/help/*/mate-control-center
%{_datadir}/thumbnailers/mate-font-viewer.thumbnailer
%{_datadir}/man/man1/*

%files -n %{libname}
%{_libdir}/libmate-window-settings.so.%{major}{,.*}
%{_libdir}/window-manager-settings/libmarco.so

%files -n %{libslabname}
%{_libdir}/libmate-slab.so.%{slab_major}
%{_libdir}/libmate-slab.so.%{slab_major}.*

%files -n %{develname}
%doc ChangeLog
%{_libdir}/libmate-window-settings.so
%{_libdir}/libmate-slab.so
%{_libdir}/pkgconfig/*
%dir %{_includedir}/mate-window-settings-2.0
%{_includedir}/mate-window-settings-2.0/*
%dir %{_includedir}/libmate-slab
%{_includedir}/libmate-slab/*


%changelog
* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092585
- Update to 1.18.0 version
- Update to 1.17.3 version
- Updated to 1.17.2 version
- Updated to 1.17.1 version
- Update to 1.17.0 version

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074708
- new version 1.16.0
- build with gtk3 and appindicator

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001245
- Update to 1.14.0 version

* Fri Feb 26 2016 tarakbumba <tarakbumba> 1.13.2-1.mga6
+ Revision: 979313
- Update to 1.13.2 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 947952
- Update to 1.13.1 version

* Mon Dec 07 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908686
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898515
-Update to 1.12.0 version

* Tue Oct 06 2015 tarakbumba <tarakbumba> 1.10.2-1.mga6
+ Revision: 886648
- Update to 1.10.2 version

* Sat Sep 05 2015 wally <wally> 1.10.1-1.mga6
+ Revision: 872981
- new version 1.10.1

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 837269
- Update to 1.10.0 version

* Sat Feb 21 2015 tarakbumba <tarakbumba> 1.8.3-3.mga5
+ Revision: 816284
- Fix category translations
- Use enums from gsettings-desktop-schema

* Wed Oct 15 2014 umeabot <umeabot> 1.8.3-2.mga5
+ Revision: 745351
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 tarakbumba <tarakbumba> 1.8.3-1.mga5
+ Revision: 731559
- Update to 1.8.3 version
- Use autosetup macro in specfile

* Sat Sep 27 2014 tv <tv> 1.8.2-3.mga5
+ Revision: 727157
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.2-2.mga5
+ Revision: 682187
- Mageia 5 Mass Rebuild

* Fri Jul 11 2014 tarakbumba <tarakbumba> 1.8.2-1.mga5
+ Revision: 651323
- Update to 1.8.2 version

* Fri Jul 11 2014 tarakbumba <tarakbumba> 1.8.1-3.mga5
+ Revision: 651188
- Drop mate-drakconf and mate-drakkeyboard, non needed.

* Sat Apr 05 2014 tarakbumba <tarakbumba> 1.8.1-2.mga5
+ Revision: 612132
- Add drakconf launcher script and desktop file for common mate apps.

* Thu Mar 20 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 606301
- Update to 1.8.1 version

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600096
- Updated to version 1.8.0

* Mon Mar 03 2014 tarakbumba <tarakbumba> 1.7.90-2.mga5
+ Revision: 599029
- Fix requires for devel package

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598173
- Update to 1.7.90 version

* Sat Feb 22 2014 tarakbumba <tarakbumba> 1.6.2-2.mga5
+ Revision: 595644
- Enable typing-break support (mga#12838)

* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 563854
-Update to new bugfix version: 1.6.2

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531718
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 diogenese <diogenese> 1.6.1-1.mga4
+ Revision: 464686
- updated sources to 1.6.1

* Wed Jul 31 2013 malo <malo> 1.6.0-1.mga4
+ Revision: 461766
- use buildroot macro

  + tarakbumba <tarakbumba>
    - imported package mate-control-center

